/*
 * Copyright (c) 2015 Spotify AB.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.spotify.helios.rollingupdate;

import com.google.common.collect.ImmutableList;

import com.spotify.helios.servicescommon.coordination.ZooKeeperOperation;

import java.util.Map;

public class RollingUpdateOp {

  private final ImmutableList<ZooKeeperOperation> operations;
  private final ImmutableList<Map<String, Object>> events;

  public RollingUpdateOp(final ImmutableList<ZooKeeperOperation> operations,
                         final ImmutableList<Map<String, Object>> events) {
    this.operations = operations;
    this.events = events;
  }

  public ImmutableList<ZooKeeperOperation> operations() {
    return operations;
  }

  public ImmutableList<Map<String, Object>> events() {
    return events;
  }
}
